Bug 5266 - Please consider including the Gentium font family in X.org R7.0
Summary: Please consider including the Gentium font family in X.org R7.0
Status: RESOLVED FIXED
Alias: None
Product: openfontlibrary
Classification: Unclassified
Component: website (show other bugs)
Version: unspecified
Hardware: All All
: high enhancement
Assignee: Jon Phillips
QA Contact:
URL: http://scripts.sil.org/Gentium
Whiteboard:
Keywords: i18n, l10n
Depends on:
Blocks:
 
Reported: 2005-12-08 04:27 UTC by Nicolas Spalinger
Modified: 2007-04-30 01:21 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Spalinger 2005-12-08 04:27:05 UTC
SIL International has released a new version of Gentium - a high-quality Unicode
font providing glyphs for a wide range of Latin and Greek characters - under the
OFL (Open Font License). See http://scripts.sil.org/OFL for more details about
the licence.

The tarball is available at http://scripts.sil.org/Gentium_linux

Please consider including it in the upstream X.org package for the upcoming 7.0
release.

Thank you.
Comment 1 Adam Jackson 2005-12-09 07:49:25 UTC
no chance of including this in 7.0
Comment 2 Jim Gettys 2005-12-09 07:57:07 UTC
Probably worth release noting and putting a URL in the release notes to draw
attention to it, then.
Comment 3 Adam Jackson 2006-04-04 22:31:01 UTC
Fonts are sort of out of Xorg's domain now, kicking to a more relevant project.
Comment 4 Denis Jacquerye 2006-05-18 17:03:42 UTC
Some distributions already package and distribute Gentium fonts. If people
distribute it they should make sure they do so with the latest version.
I don't know if it is relevant to distribute it in OFLibrary if it is already in
distribs.

Gentium is a great font, but at the moment it lacks weight variants and
diacritics placement. Other OpenType features could also be useful for graphic
designers (when opensource apps will support them). Hopefully this should be
fixed in the near future.
Comment 5 Nicolas Spalinger 2006-05-18 18:10:02 UTC
(In reply to comment #4)
> Some distributions already package and distribute Gentium fonts. If people
> distribute it they should make sure they do so with the latest version.
> I don't know if it is relevant to distribute it in OFLibrary if it is already in
> distribs.

Yes, I agree.

IMHO the openfontlibrary should be a catalog of free/libre/open fonts under the
freedesktop umbrella instead of a "library" or a repository.

> Gentium is a great font, but at the moment it lacks weight variants and
> diacritics placement. Other OpenType features could also be useful for graphic
> designers (when opensource apps will support them). Hopefully this should be
> fixed in the near future.

The next version of Gentium will have new weights, even wider Unicode coverage
and smart features. See http://scripts.sil.org/Gentium_status for all the details.
Comment 6 Jon Phillips 2007-02-07 14:10:53 UTC
Any progress on wrapping the Open Font License in CC metadata so we can add it to the openfontlibrary.org? That is the only thing holding back packaging that up on our site.
Comment 7 Nicolas Spalinger 2007-03-24 13:13:52 UTC
I'm finalizing my patch to cc-host for OFL metadata integration. It should be ready fairly soon. 
Comment 8 Jon Phillips 2007-03-27 14:23:38 UTC
Ok, please make sure to make the patch as an extension that we can use with ccHost. Particularly, look at how licenses are added to the system and ask a lot of questions.

The file in particular where licenses are added to the database is: 

CCHOST_INSTALL/cclib/cc-lics-install.php

It is easy to burrow down to understanding them here: 


CCHOST_INSTALL/cclib/cc-license.php

Cheers (this is kinda in the wrong thread, but wanted to address)...maybe best to take my comment and start another bug about adding OFL license to OFLB.
Comment 9 Nicolas Spalinger 2007-04-30 01:21:23 UTC
No need to distribute open fonts via X.org anymore.

Thanks to Jon, the support for the OFL is now implemented as a module for cchost and is available in the openfontlibrary svn. Closing.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.